# etc-git

Put /etc under Git version control.

## Tasks

The main part (installation and configuration) is in the `tasks/main.yml` file.

There is also an independant task that can be executed to commit changes made in `/etc/.git`, for example when a playbook is run :

```
- name: My Splendid Playbook
  […]

  pre_tasks:
  - include_role:
      name: evolix/etc-git
      tasks_from: commit.yml
    vars:
      commit_message: "Ansible pre-run my splendid playbook"

  roles :
  […]

  post_tasks:
  - include_role:
      name: evolix/etc-git
      tasks_from: commit.yml
    vars:
      commit_message: "Ansible post-run my splendid playbook"
```

## Available variables

* `etc_git_monitor_status`: monitor uncommited changes in /etc/.git (default: `True`) ;
